<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>CellReference (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="CellReference (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":9,"i13":9,"i14":10,"i15":9,"i16":9,"i17":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/CellReference.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/util/CellRangeUtil.html"
               title="class in org.apache.poi.ss.util"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/ss/util/CellReference.NameType.html"
               title="enum in org.apache.poi.ss.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/util/CellReference.html" target="_top">Frames</a></li>
        <li><a href="CellReference.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.ss.util</div>
    <h2 title="Class CellReference" class="title">Class CellReference</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.ss.util.CellReference</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>Direct Known Subclasses:</dt>
                    <dd><a href="../../../../../org/apache/poi/hssf/util/CellReference.html"
                           title="class in org.apache.poi.hssf.util">CellReference</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">CellReference</span>
extends java.lang.Object</pre>
                <div class="block"><p>Common conversion functions between Excel style A1, C27 style
                    cell references, and POI usermodel style row=0, column=0
                    style references. Handles sheet-based and sheet-free references
                    as well, eg "Sheet1!A1" and "$B$72"</p>

                    <p>Use <tt>CellReference</tt> when the concept of
                        relative/absolute does apply (such as a cell reference in a formula).
                        Use <a href="../../../../../org/apache/poi/ss/util/CellAddress.html"
                               title="class in org.apache.poi.ss.util"><code>CellAddress</code></a> when you want to
                        refer to the location of a cell in a sheet
                        when the concept of relative/absolute does not apply (such as the anchor location
                        of a cell comment).
                        <tt>CellReference</tt>s have a concept of "sheet", while <tt>CellAddress</tt>es do not.</p>
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Nested Class Summary table, listing nested classes, and an explanation">
                            <caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Class and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellReference.NameType.html"
                                        title="enum in org.apache.poi.ss.util">CellReference.NameType</a></span></code>
                                    <div class="block">Used to classify identifiers found in formulas as cell references
                                        or not.
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellReference.html#CellReference-org.apache.poi.ss.usermodel.Cell-">CellReference</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;cell)</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellReference.html#CellReference-int-int-">CellReference</a></span>(int&nbsp;pRow,
                                    int&nbsp;pCol)</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellReference.html#CellReference-int-int-boolean-boolean-">CellReference</a></span>(int&nbsp;pRow,
                                    int&nbsp;pCol,
                                    boolean&nbsp;pAbsRow,
                                    boolean&nbsp;pAbsCol)</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellReference.html#CellReference-int-short-">CellReference</a></span>(int&nbsp;pRow,
                                    short&nbsp;pCol)</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellReference.html#CellReference-java.lang.String-">CellReference</a></span>(java.lang.String&nbsp;cellRef)</code>
                                    <div class="block">Create an cell ref from a string representation.</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellReference.html#CellReference-java.lang.String-int-int-boolean-boolean-">CellReference</a></span>(java.lang.String&nbsp;pSheetName,
                                    int&nbsp;pRow,
                                    int&nbsp;pCol,
                                    boolean&nbsp;pAbsRow,
                                    boolean&nbsp;pAbsCol)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>static boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellReference.html#cellReferenceIsWithinRange-java.lang.String-java.lang.String-org.apache.poi.ss.SpreadsheetVersion-">cellReferenceIsWithinRange</a></span>(java.lang.String&nbsp;colStr,
                                    java.lang.String&nbsp;rowStr,
                                    <a href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                       title="enum in org.apache.poi.ss">SpreadsheetVersion</a>&nbsp;ssVersion)</code>
                                    <div class="block">Used to decide whether a name of the form "[A-Z]*[0-9]*" that
                                        appears in a formula can be
                                        interpreted as a cell reference.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/ss/util/CellReference.NameType.html"
                                        title="enum in org.apache.poi.ss.util">CellReference.NameType</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellReference.html#classifyCellReference-java.lang.String-org.apache.poi.ss.SpreadsheetVersion-">classifyCellReference</a></span>(java.lang.String&nbsp;str,
                                    <a href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                       title="enum in org.apache.poi.ss">SpreadsheetVersion</a>&nbsp;ssVersion)</code>
                                    <div class="block">Classifies an identifier as either a simple (2D) cell reference
                                        or a named range name
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellReference.html#convertColStringToIndex-java.lang.String-">convertColStringToIndex</a></span>(java.lang.String&nbsp;ref)</code>
                                    <div class="block">takes in a column reference portion of a CellRef and converts it
                                        from
                                        ALPHA-26 number format to 0-based base 10.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellReference.html#convertNumToColString-int-">convertNumToColString</a></span>(int&nbsp;col)</code>
                                    <div class="block">Takes in a 0-based base-10 column and returns a ALPHA-26
                                        representation.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellReference.html#equals-java.lang.Object-">equals</a></span>(java.lang.Object&nbsp;o)</code>
                                    <div class="block">Checks whether this cell reference is equal to another object.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellReference.html#formatAsString--">formatAsString</a></span>()</code>
                                    <div class="block">Returns a text representation of this cell reference.</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>java.lang.String[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellReference.html#getCellRefParts--">getCellRefParts</a></span>()</code>
                                    <div class="block">Returns the three parts of the cell reference, the
                                        Sheet name (or null if none supplied), the 1 based
                                        row number, and the A based column letter.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellReference.html#getCol--">getCol</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellReference.html#getRow--">getRow</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellReference.html#getSheetName--">getSheetName</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellReference.html#hashCode--">hashCode</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellReference.html#isColAbsolute--">isColAbsolute</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>static boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellReference.html#isColumnWithinRange-java.lang.String-org.apache.poi.ss.SpreadsheetVersion-">isColumnWithinRange</a></span>(java.lang.String&nbsp;colStr,
                                    <a href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                       title="enum in org.apache.poi.ss">SpreadsheetVersion</a>&nbsp;ssVersion)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>static boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellReference.html#isPartAbsolute-java.lang.String-">isPartAbsolute</a></span>(java.lang.String&nbsp;part)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellReference.html#isRowAbsolute--">isRowAbsolute</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>static boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellReference.html#isRowWithinRange-int-org.apache.poi.ss.SpreadsheetVersion-">isRowWithinRange</a></span>(int&nbsp;rowNum,
                                    <a href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                       title="enum in org.apache.poi.ss">SpreadsheetVersion</a>&nbsp;ssVersion)</code>
                                    <div class="block">Determines whether <code>row</code> is a valid row number for a
                                        given SpreadsheetVersion.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>static boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellReference.html#isRowWithinRange-java.lang.String-org.apache.poi.ss.SpreadsheetVersion-">isRowWithinRange</a></span>(java.lang.String&nbsp;rowStr,
                                    <a href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                       title="enum in org.apache.poi.ss">SpreadsheetVersion</a>&nbsp;ssVersion)</code>
                                    <div class="block">Determines whether <code>rowStr</code> is a valid row number for
                                        a given SpreadsheetVersion.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellReference.html#toString--">toString</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, finalize, getClass, notify, notifyAll, wait, wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="CellReference-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>CellReference</h4>
                                <pre>public&nbsp;CellReference(java.lang.String&nbsp;cellRef)</pre>
                                <div class="block">Create an cell ref from a string representation. Sheet names
                                    containing special characters should be
                                    delimited and escaped as per normal syntax rules for formulas.
                                </div>
                            </li>
                        </ul>
                        <a name="CellReference-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>CellReference</h4>
                                <pre>public&nbsp;CellReference(int&nbsp;pRow,
                     int&nbsp;pCol)</pre>
                            </li>
                        </ul>
                        <a name="CellReference-int-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>CellReference</h4>
                                <pre>public&nbsp;CellReference(int&nbsp;pRow,
                     short&nbsp;pCol)</pre>
                            </li>
                        </ul>
                        <a name="CellReference-org.apache.poi.ss.usermodel.Cell-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>CellReference</h4>
                                <pre>public&nbsp;CellReference(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;cell)</pre>
                            </li>
                        </ul>
                        <a name="CellReference-int-int-boolean-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>CellReference</h4>
                                <pre>public&nbsp;CellReference(int&nbsp;pRow,
                     int&nbsp;pCol,
                     boolean&nbsp;pAbsRow,
                     boolean&nbsp;pAbsCol)</pre>
                            </li>
                        </ul>
                        <a name="CellReference-java.lang.String-int-int-boolean-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>CellReference</h4>
                                <pre>public&nbsp;CellReference(java.lang.String&nbsp;pSheetName,
                     int&nbsp;pRow,
                     int&nbsp;pCol,
                     boolean&nbsp;pAbsRow,
                     boolean&nbsp;pAbsCol)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getRow--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRow</h4>
                                <pre>public&nbsp;int&nbsp;getRow()</pre>
                            </li>
                        </ul>
                        <a name="getCol--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCol</h4>
                                <pre>public&nbsp;short&nbsp;getCol()</pre>
                            </li>
                        </ul>
                        <a name="isRowAbsolute--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isRowAbsolute</h4>
                                <pre>public&nbsp;boolean&nbsp;isRowAbsolute()</pre>
                            </li>
                        </ul>
                        <a name="isColAbsolute--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isColAbsolute</h4>
                                <pre>public&nbsp;boolean&nbsp;isColAbsolute()</pre>
                            </li>
                        </ul>
                        <a name="getSheetName--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSheetName</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getSheetName()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>possibly <code>null</code> if this is a 2D reference. Special characters are not
                                        escaped or delimited
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isPartAbsolute-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isPartAbsolute</h4>
                                <pre>public static&nbsp;boolean&nbsp;isPartAbsolute(java.lang.String&nbsp;part)</pre>
                            </li>
                        </ul>
                        <a name="convertColStringToIndex-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>convertColStringToIndex</h4>
                                <pre>public static&nbsp;int&nbsp;convertColStringToIndex(java.lang.String&nbsp;ref)</pre>
                                <div class="block">takes in a column reference portion of a CellRef and converts it from
                                    ALPHA-26 number format to 0-based base 10.
                                    'A' -&gt; 0
                                    'Z' -&gt; 25
                                    'AA' -&gt; 26
                                    'IV' -&gt; 255
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>zero based column index</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="classifyCellReference-java.lang.String-org.apache.poi.ss.SpreadsheetVersion-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>classifyCellReference</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/util/CellReference.NameType.html"
                                        title="enum in org.apache.poi.ss.util">CellReference.NameType</a>&nbsp;classifyCellReference(java.lang.String&nbsp;str,
                                                           <a href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                                              title="enum in org.apache.poi.ss">SpreadsheetVersion</a>&nbsp;ssVersion)</pre>
                                <div class="block">Classifies an identifier as either a simple (2D) cell reference or a
                                    named range name
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>one of the values from <tt>NameType</tt></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="cellReferenceIsWithinRange-java.lang.String-java.lang.String-org.apache.poi.ss.SpreadsheetVersion-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>cellReferenceIsWithinRange</h4>
                                <pre>public static&nbsp;boolean&nbsp;cellReferenceIsWithinRange(java.lang.String&nbsp;colStr,
                                                 java.lang.String&nbsp;rowStr,
                                                 <a href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                                    title="enum in org.apache.poi.ss">SpreadsheetVersion</a>&nbsp;ssVersion)</pre>
                                <div class="block">Used to decide whether a name of the form "[A-Z]*[0-9]*" that appears
                                    in a formula can be
                                    interpreted as a cell reference. Names of that form can be also used for sheets
                                    and/or
                                    named ranges, and in those circumstances, the question of whether the potential cell
                                    reference is valid (in range) becomes important.
                                    <p>
                                        Note - that the maximum sheet size varies across Excel versions:
                                    <p>
                                    <blockquote>
                                        <table border="0" cellpadding="1" cellspacing="0"
                                               summary="Notable cases.">
                                            <tr>
                                                <th>Version&nbsp;&nbsp;</th>
                                                <th>File Format&nbsp;&nbsp;</th>
                                                <th>Last Column&nbsp;&nbsp;</th>
                                                <th>Last Row</th>
                                            </tr>
                                            <tr>
                                                <td>97-2003</td>
                                                <td>BIFF8</td>
                                                <td>"IV" (2^8)</td>
                                                <td>65536 (2^14)</td>
                                            </tr>
                                            <tr>
                                                <td>2007</td>
                                                <td>BIFF12</td>
                                                <td>"XFD" (2^14)</td>
                                                <td>1048576 (2^20)</td>
                                            </tr>
                                        </table>
                                    </blockquote>
                                    POI currently targets BIFF8 (Excel 97-2003), so the following behaviour can be
                                    observed for
                                    this method:
                                    <blockquote>
                                        <table border="0" cellpadding="1" cellspacing="0"
                                               summary="Notable cases.">
                                            <tr>
                                                <th>Input&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</th>
                                                <th>Result&nbsp;</th>
                                            </tr>
                                            <tr>
                                                <td>"A", "1"</td>
                                                <td>true</td>
                                            </tr>
                                            <tr>
                                                <td>"a", "111"</td>
                                                <td>true</td>
                                            </tr>
                                            <tr>
                                                <td>"A", "65536"</td>
                                                <td>true</td>
                                            </tr>
                                            <tr>
                                                <td>"A", "65537"</td>
                                                <td>false</td>
                                            </tr>
                                            <tr>
                                                <td>"iv", "1"</td>
                                                <td>true</td>
                                            </tr>
                                            <tr>
                                                <td>"IW", "1"</td>
                                                <td>false</td>
                                            </tr>
                                            <tr>
                                                <td>"AAA", "1"</td>
                                                <td>false</td>
                                            </tr>
                                            <tr>
                                                <td>"a", "111"</td>
                                                <td>true</td>
                                            </tr>
                                            <tr>
                                                <td>"Sheet", "1"</td>
                                                <td>false</td>
                                            </tr>
                                        </table>
                                    </blockquote>
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>colStr</code> - a string of only letter characters</dd>
                                    <dd><code>rowStr</code> - a string of only digit characters</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd><code>true</code> if the row and col parameters are within range of a BIFF8
                                        spreadsheet.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isColumnWithinRange-java.lang.String-org.apache.poi.ss.SpreadsheetVersion-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isColumnWithinRange</h4>
                                <pre>public static&nbsp;boolean&nbsp;isColumnWithinRange(java.lang.String&nbsp;colStr,
                                          <a href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                             title="enum in org.apache.poi.ss">SpreadsheetVersion</a>&nbsp;ssVersion)</pre>
                            </li>
                        </ul>
                        <a name="isRowWithinRange-java.lang.String-org.apache.poi.ss.SpreadsheetVersion-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isRowWithinRange</h4>
                                <pre>public static&nbsp;boolean&nbsp;isRowWithinRange(java.lang.String&nbsp;rowStr,
                                       <a href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                          title="enum in org.apache.poi.ss">SpreadsheetVersion</a>&nbsp;ssVersion)</pre>
                                <div class="block">Determines whether <code>rowStr</code> is a valid row number for a
                                    given SpreadsheetVersion.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>rowStr</code> - the numeric portion of an A1-style cell reference (1-based
                                        index)
                                    </dd>
                                    <dd><code>ssVersion</code> - the spreadsheet version</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.NumberFormatException</code> - if rowStr is not parseable as an
                                        integer
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isRowWithinRange-int-org.apache.poi.ss.SpreadsheetVersion-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isRowWithinRange</h4>
                                <pre>public static&nbsp;boolean&nbsp;isRowWithinRange(int&nbsp;rowNum,
                                       <a href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                          title="enum in org.apache.poi.ss">SpreadsheetVersion</a>&nbsp;ssVersion)</pre>
                                <div class="block">Determines whether <code>row</code> is a valid row number for a given
                                    SpreadsheetVersion.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>rowNum</code> - the row number (0-based index)</dd>
                                    <dd><code>ssVersion</code> - the spreadsheet version</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>3.17 beta 1</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="convertNumToColString-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>convertNumToColString</h4>
                                <pre>public static&nbsp;java.lang.String&nbsp;convertNumToColString(int&nbsp;col)</pre>
                                <div class="block">Takes in a 0-based base-10 column and returns a ALPHA-26
                                    representation.
                                    eg <code>convertNumToColString(3)</code> returns <code>"D"</code></div>
                            </li>
                        </ul>
                        <a name="formatAsString--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>formatAsString</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;formatAsString()</pre>
                                <div class="block">Returns a text representation of this cell reference.
                                    <p>
                                        Example return values:
                                    <table border="0" cellpadding="1" cellspacing="0" summary="Example return values">
                                        <tr>
                                            <th align='left'>Result</th>
                                            <th align='left'>Comment</th>
                                        </tr>
                                        <tr>
                                            <td>A1</td>
                                            <td>Cell reference without sheet</td>
                                        </tr>
                                        <tr>
                                            <td>Sheet1!A1</td>
                                            <td>Standard sheet name</td>
                                        </tr>
                                        <tr>
                                            <td>'O''Brien''s Sales'!A1'&nbsp;</td>
                                            <td>Sheet name with special characters</td>
                                        </tr>
                                    </table>
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the text representation of this cell reference as it would appear in a
                                        formula.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="toString--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>toString</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getCellRefParts--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCellRefParts</h4>
                                <pre>public&nbsp;java.lang.String[]&nbsp;getCellRefParts()</pre>
                                <div class="block">Returns the three parts of the cell reference, the
                                    Sheet name (or null if none supplied), the 1 based
                                    row number, and the A based column letter.
                                    This will not include any markers for absolute
                                    references, so use <a
                                            href="../../../../../org/apache/poi/ss/util/CellReference.html#formatAsString--"><code>formatAsString()</code></a>
                                    to properly turn references into strings.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>String array of { sheetName, rowString, colString }</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="equals-java.lang.Object-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>equals</h4>
                                <pre>public&nbsp;boolean&nbsp;equals(java.lang.Object&nbsp;o)</pre>
                                <div class="block">Checks whether this cell reference is equal to another object.
                                    <p>
                                        Two cells references are assumed to be equal if their string representations
                                        (<a href="../../../../../org/apache/poi/ss/util/CellReference.html#formatAsString--"><code>formatAsString()</code></a>
                                        are equal.
                                    </p></div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>equals</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="hashCode--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>hashCode</h4>
                                <pre>public&nbsp;int&nbsp;hashCode()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>hashCode</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/CellReference.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/util/CellRangeUtil.html"
               title="class in org.apache.poi.ss.util"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/ss/util/CellReference.NameType.html"
               title="enum in org.apache.poi.ss.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/util/CellReference.html" target="_top">Frames</a></li>
        <li><a href="CellReference.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
